model{
  u=loggam(n)

  #for direct question (dq) and sensitive item (si) 
  for(i in 1:nobs){
    #calculate mean and probability of truncated NB distribution
    mu[i] <- rate[town.id[i]]*size[i]
    p[i] <- n/(mu[i]+n)
    
    #calculate pmf of truncated NB distribution
    choose[i] <- exp(loggam(y[i]+n)-u-y.lfact[i])
    num[i] <- (p[i]^n)*((1-p[i])^y[i])
    den[i] <- 1-(p[i]^n)
    
    #ones trick
    k[i] ~ dbern(choose[i]*num[i]/den[i])
  }
  
  #priors
  n ~ dunif(0,100)
  for (k in 1:ntowns){
    rate[k] ~ dunif(0,2)
  }
}
