model{
  u.dqsi=loggam(n.dqsi)

  #for direct question (dq) and sensitive item (si) 
  for(i in 1:nobs.dqsi){
    #calculate mean and probability of truncated NB distribution
    mu.dqsi[i] <- exp(int.gamma.si[town.id.dqsi[i]]+inprod(xmat.dqsi[i,],gamma.si[1:nparam]))*size.dqsi[i]
    p.dqsi[i] <- n.dqsi/(mu.dqsi[i]+n.dqsi)
    
    #calculate pmf of truncated NB distribution
    choose.dqsi[i] <- exp(loggam(y.dqsi[i]+n.dqsi)-u.dqsi-y.dqsi.lfact[i])
    num.dqsi[i] <- (p.dqsi[i]^n.dqsi)*((1-p.dqsi[i])^y.dqsi[i])
    den.dqsi[i] <- 1-(p.dqsi[i]^n.dqsi)
    
    #ones trick
    k.dqsi[i] ~ dbern(choose.dqsi[i]*num.dqsi[i]/den.dqsi[i])
  }
  
  #priors
  n.dqsi ~ dunif(0,100)
  for(j in 1:nparam){
    gamma.si[j]  ~ dnorm(0,1)
  }
  for (k in 1:ntowns){
    int.gamma.si[k] ~ dnorm(0,1)
  }
}
